use std::env;

use dotenv::dotenv;
use rocket::{fairing::AdHoc, launch};
use url::Host;

mod api;
mod config;
use config::Config;
mod website;
use website::Websites;

#[launch]
fn rocket() -> _ {
    dotenv().ok();

    // TODO: replace by builder
    let subdomain_hosts = Websites::new(Host::parse("example.com").expect("invalid host"));
    subdomain_hosts.add_subdomain("test").unwrap();
    rocket::custom(Config::figment())
        .mount("/", api::routes())
        .mount("/", website::routes())
        .attach(AdHoc::config::<Config>())
        .manage(subdomain_hosts)
}
